Skip to main content

List Customers

Retrieve a paginated list of customers.

Endpointโ€‹

GET /v1/customers

Authenticationโ€‹

Requires an API key with the customers:read scope.

Query Parametersโ€‹

ParameterTypeDefaultDescription
pageinteger1Page number
per_pageinteger15Items per page (max 100)
searchstring-Search by name, email, or phone
emailstring-Filter by exact email

Responseโ€‹

Success (200 OK)โ€‹

{
"data": [
{
"id": 1,
"first_name": "John",
"last_name": "Doe",
"full_name": "John Doe",
"is_organization": false,
"organization_name": null,
"display_name": "John Doe",
"email": "john@example.com",
"phone": "0412345678",
"phone_country_code": "+61",
"gender": "male",
"date_of_birth": "1990-05-15",
"address": {
"line_1": "123 Main Street",
"line_2": "Apt 4B",
"city": "Sydney",
"state": "NSW",
"postcode": "2000",
"country": "AU"
},
"bookings_count": 5,
"last_booking": {
"id": 123,
"start_date": "2026-01-10T09:00:00+00:00",
"status": "completed"
},
"custom_fields": [
{
"field_id": 4,
"label": "Member Since",
"field_type": "date",
"value": "2023-01-15",
"formatted_value": "15 Jan 2023"
}
],
"created_at": "2025-06-01T00:00:00+00:00",
"updated_at": "2026-01-15T10:30:00+00:00"
}
],
"meta": {
"current_page": 1,
"per_page": 15,
"total": 250,
"total_pages": 17,
"request_id": "req_abc123",
"timestamp": "2026-01-15T12:00:00+00:00"
}
}

Response Fieldsโ€‹

Customerโ€‹

FieldTypeDescription
idintegerUnique customer identifier
first_namestringFirst name
last_namestringLast name
full_namestringCombined first and last name
is_organizationbooleanWhether the customer is an organization booking on behalf of others
organization_namestring|nullOrganization name (organization customers only)
display_namestringDisplay identity โ€” organization name for organizations, otherwise the contact name
emailstringEmail address
phonestringPhone number
phone_country_codestringPhone country code (e.g., +61)
genderstring|nullmale, female, or other
date_of_birthstring|nullDate of birth (YYYY-MM-DD)
addressobjectAddress details
bookings_countintegerTotal number of bookings
last_bookingobject|nullMost recent booking summary
custom_fieldsarrayCustom field values for this customer
created_atstringISO 8601 datetime
updated_atstringISO 8601 datetime

Custom Fieldsโ€‹

FieldTypeDescription
field_idintegerCustom field definition ID
labelstringField display label
field_typestringField type: text, textarea, number, date, datetime
valuestring|nullRaw value
formatted_valuestring|nullFormatted value for display

Address Objectโ€‹

FieldTypeDescription
line_1string|nullStreet address line 1
line_2string|nullStreet address line 2
citystring|nullCity
statestring|nullState/province
postcodestring|nullPostal/ZIP code
countrystring|nullISO 3166-1 alpha-2 country code

Errorsโ€‹

StatusCodeDescription
401authentication_requiredNo API key provided
401invalid_api_keyInvalid API key
403insufficient_scopeAPI key lacks customers:read scope

Example Requestโ€‹

curl -X GET "https://app.equipdash.com/api/v1/customers?search=john" \
-H "Authorization: Bearer eqd_live_abc123xyz789..."